Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 600109 - Sound skips
Sound skips
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 19:47 EDT by Michael Monreal
Modified: 2010-11-03 10:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 10:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log (78.79 KB, application/octet-stream)
2010-06-03 19:47 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2010-06-03 19:47:02 EDT
Created attachment 421070 [details]
Log

When playing sound using banshee and totem for example, the sound skips for a second every few minutes. I have run pulseaudio in debug mode and found some underrun is happening when the sound skips:

...
I: alsa-sink.c: Underrun!
I: alsa-sink.c: Increasing wakeup watermark to 30.00 ms
D: protocol-native.c: Underrun on ''Princess Of The Dawn' by 'Accept'', 0 bytes in queue.
D: protocol-native.c: Requesting rewind due to rewrite.
D: alsa-sink.c: Requested to rewind 35688 bytes.
D: alsa-sink.c: Limited to 10452 bytes.
D: alsa-sink.c: before: 2613
D: alsa-sink.c: after: 2613
D: alsa-sink.c: Rewound 10452 bytes.
D: sink.c: Processing rewind...
D: sink-input.c: Have to rewind 10452 bytes on render memblockq.
D: sink-input.c: Have to rewind 20904 bytes on implementor.
D: source.c: Processing rewind...
...

For more, see the attached log.

I have not really noticed this until now because I have not used this box for music, but it is very distracting now.

Are there any tweaks I can try to work around the problem? I may be able to test F13 on this system (LiveCD), but a full upgrade is not possible ATM.

$ rpm -qa | grep pulse
pulseaudio-module-gconf-0.9.21-5.fc12.i686
pulseaudio-module-bluetooth-0.9.21-5.fc12.i686
pulseaudio-0.9.21-5.fc12.i686
pulseaudio-esound-compat-0.9.21-5.fc12.i686
pulseaudio-libs-0.9.21-5.fc12.i686
pulseaudio-gdm-hooks-0.9.21-5.fc12.i686
alsa-plugins-pulseaudio-1.0.22-1.fc12.i686
wine-pulseaudio-1.1.44-4.fc12.i686
pulseaudio-libs-glib2-0.9.21-5.fc12.i686
pulseaudio-utils-0.9.21-5.fc12.i686
pulseaudio-module-x11-0.9.21-5.fc12.i686
Comment 1 Michael Monreal 2010-06-04 09:01:28 EDT
After browsing around a bit I first tried this:

default-sample-rate = 48000
default-fragments = 8
default-fragment-size-msec = 10

Followed by

high-priority = yes
nice-level = -11

Neither had any effect.
Comment 2 Michael Monreal 2010-06-09 16:41:17 EDT
I managed to upgrade this box to F13 and the problem seems to be gone now. You may want to close as CURRENTRELEASE or something like that
Comment 3 Bug Zapper 2010-11-03 09:37:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.